library ieee;
use ieee.std_logic_1164.all;

entity full_add is
	port(a,b,rin:in std_logic;s,rout:out std_logic);
end full_add;

architecture data of full_add is
	component
	demi_add port(E1,E2:in std_logic;r,s:out std_logic);
	end component;
	signal S2,R2,R1:std_logic;
begin
	demi_add1:demi_add port map(E1=>a,E2=>b,s=>S2,r=>R2);
	demi_add2:demi_add port map(E1=>rin,E2=>S2,s=>s,r=>R1);
	rout<=R1 or R2 after 1 ns;
end data;			

