library ieee;
use ieee.std_logic_1164.all;
use ieee.numeric_std.all;

entity test_adder4 is
end test_adder4;

architecture test of test_adder4 is
	component 
	Adder4 port (
	a,b:in std_logic_vector(3 downto 0);
	rin:in std_logic;
	rout:out std_logic;
	s:out std_logic_vector(3 downto 0)
	);
	end component;
	signal A,B,S:std_logic_vector(3 downto 0);
	signal Rout,Rin:std_logic;
begin
	adder41:Adder4 port map (a=>A,b=>B,rin=>Rin,rout=>Rout,s=>S);
	process
	begin
	A<="0011";
	B<="1100";
	Rin<='1';
	wait for 20 ns;
	A<="1111";
	B<="0101";
	Rin<='0';
	wait for 20 ns;
	end process;
end test;		


