library ieee;
use ieee.std_logic_1164.all;
use ieee.numeric_std.all;

entity Adder4 is
	port (
	a,b:in std_logic_vector(3 downto 0);
	rin:in std_logic;
	rout:out std_logic;
	s:out std_logic_vector(3 downto 0)
	);
end Adder4;

architecture arc of Adder4 is
	component full_add port(a,b,rin:in std_logic;s,rout:out std_logic);
	end component;
	signal R1,R2,R3:std_logic;	
begin
	full_add1:full_add port map (a=>a(0),b=>b(0),rin=>rin,rout=>R1,s=>s(0));
	full_add2:full_add port map (a=>a(1),b=>b(1),rin=>R1,rout=>R2,s=>s(1));
	full_add3:full_add port map (a=>a(2),b=>b(2),rin=>R2,rout=>R3,s=>s(2));
	full_add4:full_add port map (a=>a(3),b=>b(3),rin=>R3,rout=>rout,s=>s(3));
end arc;	
